METASOURCES = AUTO

INCLUDES = -I$(top_srcdir)/korganizer/interfaces \
           -I$(top_srcdir)/korganizer \
	   -I$(top_srcdir) \
	   -I$(top_builddir) \
	   $(all_includes) 


lib_LTLIBRARIES = libkocorehelper.la libkorg_stdprinting.la


libkocorehelper_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) \
                             -no-undefined -version-info 1:0
libkocorehelper_la_LIBADD  = $(LIB_TDEUI)
libkocorehelper_la_SOURCES = cellitem.cpp

libkorg_stdprinting_la_SOURCES = calprinter.cpp calprintpluginbase.cpp \
        calprintdefaultplugins.cpp \
        calprintdayconfig_base.ui calprintmonthconfig_base.ui \
        calprinttodoconfig_base.ui calprintweetdeconfig_base.ui \
        calprintincidenceconfig_base.ui
libkorg_stdprinting_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) \
                                 -no-undefined -version-info 1:0
libkorg_stdprinting_la_LIBADD = $(LIB_TDEUI) libkocorehelper.la \
                                $(top_builddir)/libtdepim/libtdepim.la \
                                $(top_builddir)/libkcal/libkcal.la \
                                -ltdeprint 


calprintdir = $(includedir)/korganizer
calprint_HEADERS = calprintpluginbase.h calprinter.h
noinst_HEADERS = cellitem.h

